| Kea 3.0.2-git

class_cmds.h File Reference
`#include <exceptions/exceptions.h>`
`#include <cc/data.h>`
`#include <hooks/hooks.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for class_cmds.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::class_cmds::ClassCmds
| Implements the logic for processing commands pertaining to client classes manipulation. More...
class | isc::class_cmds::DependOnKnownError
| Thrown upon an attempt to update a class when dependency on KNOWN or UNKNOWN built-in class is removed or added. More...
class | isc::class_cmds::InUseError
| Thrown upon an attempt to delete a class which would result in leaving dangling dependencies. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::class_cmds